## plasma-desktop 6.3.6

=== appiumtests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

if(NOT BUILD_TESTING OR NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()
find_package(SeleniumWebDriverATSPI)
set_package_properties(SeleniumWebDriverATSPI PROPERTIES
    DESCRIPTION "Server component for selenium tests using Linux accessibility infrastructure"
    PURPOSE "Needed for GUI tests"
    URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
    TYPE OPTIONAL
)
if(NOT SeleniumWebDriverATSPI_FOUND AND NOT DEFINED ENV{KDECI_BUILD})
    return()
endif()

add_subdirectory(applets)
add_subdirectory(desktop)
add_subdirectory(kcms)

add_test(
    NAME emojiertest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/emojiertest.py --failfast
)
set_tests_properties(emojiertest PROPERTIES TIMEOUT 300 ENVIRONMENT "TEST_WITH_KWIN_WAYLAND=0")

=== kcms/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_KEYWORDS)

add_subdirectory(libkwindevices)

if(X11_Xkb_FOUND AND XCB_XKB_FOUND)
    add_subdirectory( keyboard )
endif()

add_subdirectory( access )
add_subdirectory( dateandtime )
add_subdirectory( ksplash )

add_subdirectory( landingpage )
add_subdirectory( keys )
add_subdirectory( ksmserver )
add_subdirectory( desktoppaths )

if (TARGET SDL2::SDL2)
    add_subdirectory( gamecontroller )
endif()

add_subdirectory(activities)
add_subdirectory(recentFiles)
add_subdirectory(componentchooser)
add_subdirectory(kded)
add_subdirectory(runners)
add_subdirectory(spellchecking)
add_subdirectory(qtquicksettings)
add_subdirectory(touchscreen)

add_subdirectory(workspaceoptions)
if (KF6Baloo_FOUND)
   add_subdirectory(baloo)
endif()
add_subdirectory(solid_actions)

if (BUILD_KCM_MOUSE_KWIN_WAYLAND OR BUILD_KCM_MOUSE_X11)
    add_subdirectory(mouse)
endif()

if (BUILD_KCM_TOUCHPAD_KWIN_WAYLAND OR BUILD_KCM_TOUCHPAD_X11)
    add_subdirectory(touchpad)
endif()

if(BUILD_KCM_TABLET)
    add_subdirectory(tablet)
endif()

=== appiumtests/applets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME kickofftest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/kickofftest/kickofftest.py --failfast
)
set_tests_properties(kickofftest PROPERTIES TIMEOUT 120 ENVIRONMENT "USE_CUSTOM_BUS=1;KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd")

add_test(
    NAME taskmanagertest
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/taskmanagertest.py --failfast
)
set_tests_properties(taskmanagertest PROPERTIES TIMEOUT 120 ENVIRONMENT "USE_CUSTOM_BUS=1;KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd")

=== appiumtests/kcms/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME kcm_kded_test
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/kcm_kded_test.py
)
set_tests_properties(kcm_kded_test PROPERTIES TIMEOUT 120 ENVIRONMENT "USE_CUSTOM_BUS=1")

add_test(
    NAME kcm_keys_test
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/kcm_keys_test.py --failfast
)
set_tests_properties(kcm_keys_test PROPERTIES TIMEOUT 120 ENVIRONMENT "LC_ALL=en_US.UTF-8;TEST_WITH_KWIN_WAYLAND=0;USE_CUSTOM_BUS=1;KGLOBALACCELD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kglobalacceld;KACTIVITYMANAGERD_PATH=${KDE_INSTALL_FULL_LIBEXECDIR}/kactivitymanagerd")

add_test(
    NAME kcm_plasmasearch_test
    COMMAND selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/kcm_plasmasearch_test.py
)
set_tests_properties(kcm_plasmasearch_test PROPERTIES TIMEOUT 120)

=== applets/pager/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.pager\")
plasma_install_package(package org.kde.plasma.pager)

ecm_add_qml_module(pagerplugin
    URI "org.kde.plasma.private.pager"
    VERSION 2.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES QtCore
)

target_sources(pagerplugin PRIVATE
    pagermodel.cpp
    windowmodel.cpp)

target_link_libraries(pagerplugin PRIVATE
                      KF6::WindowSystem
                      Plasma::Plasma
                      Plasma::Activities
                      PW::LibTaskManager
                      Qt::Core
                      Qt::DBus
                      Qt::Qml
                      Qt::Quick)

if (X11_FOUND)
    target_link_libraries(pagerplugin PRIVATE Qt::GuiPrivate)
endif()

ecm_finalize_qml_module(pagerplugin)

=== applets/showdesktop/CMakeLists.txt ===
plasma_install_package(package org.kde.plasma.showdesktop)

add_definitions(-DTRANSLATION_DOMAIN="plasma_applet_org.kde.plasma.showdesktop")

set(showdesktop_SRCS
    plugin/showdesktop.cpp
    plugin/showdesktopplugin.cpp
)

qt_add_dbus_interface(showdesktop_SRCS plugin/org.kde.KWin.xml kwin_interface)

add_library(showdesktopplugin SHARED ${showdesktop_SRCS})

target_link_libraries(showdesktopplugin
     Qt::Core
     Qt::DBus
     Qt::Qml
     Qt::Quick
     KF6::WindowSystem
    )

install(TARGETS showdesktopplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/showdesktop)
install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/showdesktop)

=== applets/taskmanager/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasma_applet_org.kde.plasma.taskmanager\")

plasma_install_package(package org.kde.plasma.taskmanager)

set(taskmanagerplugin_SRCS
    plugin/backend.cpp
    plugin/taskmanagerplugin.cpp

    plugin/smartlaunchers/smartlauncherbackend.cpp
    plugin/smartlaunchers/smartlauncheritem.cpp
)

kconfig_add_kcfg_files(taskmanagerplugin_SRCS ${CMAKE_SOURCE_DIR}/kcms/recentFiles/kactivitymanagerd_plugins_settings.kcfgc)

ecm_qt_declare_logging_category(taskmanagerplugin_SRCS
    HEADER log_settings.h
    IDENTIFIER TASKMANAGER_DEBUG
    CATEGORY_NAME org.kde.plasma.taskmanager)

install(FILES plugin/qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/taskmanager)

add_library(taskmanagerplugin SHARED ${taskmanagerplugin_SRCS})

# FIXME Cleanup no longer used libs.
target_link_libraries(taskmanagerplugin
                      Qt::Core
                      Qt::DBus
                      Qt::Qml
                      Qt::Quick
                      Plasma::Activities
                      Plasma::ActivitiesStats
                      KF6::ConfigGui
                      KF6::I18n
                      KF6::KIOCore
                      KF6::KIOGui
                      KF6::KIOFileWidgets # KFilePlacesModel
                      KF6::Notifications # KNotificationJobUiDelegate
                      Plasma::Plasma
                      KSysGuard::ProcessCore
                      KF6::Service
                      KF6::WindowSystem
                      PW::LibNotificationManager)

install(TARGETS taskmanagerplugin DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/plasma/private/taskmanager)

=== doc/kfontview/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kfontview)

=== imports/activitymanager/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"plasmaactivitymanager\")

ecm_add_qml_module(activityswitcherextensionplugin URI org.kde.plasma.activityswitcher GENERATE_PLUGIN_SOURCE)

target_sources(activityswitcherextensionplugin PRIVATE
   switcherbackend.cpp
   sortedactivitiesmodel.cpp
)

target_link_libraries(activityswitcherextensionplugin PRIVATE
   Qt::Core
   Qt::Quick
   Qt::Qml
   Qt::Widgets

   KF6::I18n
   Plasma::Activities
   KF6::ConfigCore
   KF6::CoreAddons
   KF6::GlobalAccel
   KF6::GuiAddons
   KF6::KIOCore
   KF6::KIOWidgets
   KF6::WindowSystem

   PW::LibTaskManager
   )

ecm_finalize_qml_module(activityswitcherextensionplugin)

=== kcms/dateandtime/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcmkclock\")
########### next target ###############

set(kcm_clock_PART_SRCS dtime.cpp main.cpp k4timezonewidget.cpp)

ki18n_wrap_ui(kcm_clock_PART_SRCS dateandtime.ui)

qt_add_dbus_interface(kcm_clock_PART_SRCS ${CMAKE_CURRENT_SOURCE_DIR}/timedated1.xml timedated_interface)

add_library(kcm_clock MODULE ${kcm_clock_PART_SRCS})
kcmutils_generate_desktop_file(kcm_clock)

target_link_libraries(kcm_clock
    Qt::DBus
    KF6::ItemViews
    KF6::AuthCore
    KF6::GuiAddons
    KF6::KCMUtils
    KF6::I18n
    KF6::I18nLocaleData
    KF6::KIOCore
    KF6::KIOWidgets
    KF6::Svg
    ICU::i18n
    ICU::uc
)
install(TARGETS kcm_clock  DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/kcms/systemsettings_qwidgets )

########### next target ###############
#This is only needed when not using timedated and can be removed in future

add_executable(kcmdatetimehelper helper.cpp ${helper_mocs})
target_link_libraries(kcmdatetimehelper KF6::AuthCore KF6::ConfigCore)

install(TARGETS kcmdatetimehelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})
kauth_install_helper_files(kcmdatetimehelper org.kde.kcontrol.kcmclock root)

kauth_install_actions(org.kde.kcontrol.kcmclock kcmclock_actions.actions)

=== kcms/gamecontroller/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Joshua Goins <josh@redstrate.com>
# SPDX-License-Identifier: BSD-2-Clause

add_definitions(-DTRANSLATION_DOMAIN="kcm_gamecontroller")

kcmutils_add_qml_kcm(kcm_gamecontroller INSTALL_NAMESPACE "plasma/kcms/systemsettings")

ecm_qt_declare_logging_category(kcm_gamecontroller
    HEADER
        logging.h
    IDENTIFIER
        KCM_GAMECONTROLLER
    CATEGORY_NAME
        kcm_gamecontroller
    DEFAULT_SEVERITY
        Critical
    DESCRIPTION
        "KCM for game controller"
    EXPORT
        kcm_gamecontroller
)

ecm_qt_install_logging_categories(
    EXPORT kcm_gamecontroller
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

target_sources(kcm_gamecontroller PRIVATE
    devicemodel.cpp
    device.cpp
    gamepad.cpp
    axesmodel.cpp
    axesproxymodel.cpp
    buttonmodel.cpp
    hatmodel.cpp
    kcm.cpp
)

target_link_libraries(kcm_gamecontroller PRIVATE
    KF6::CoreAddons
    KF6::KCMUtils
    KF6::KCMUtilsQuick
    KF6::I18n
    Qt6::Quick
    Qt6::QuickWidgets
    SDL2::SDL2
)

=== kcms/keys/CMakeLists.txt ===
# KI18N Translation Domain for this library
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_keys\")

kcmutils_add_qml_kcm(kcm_keys)

target_sources(kcm_keys PRIVATE
    basemodel.cpp
    kcm_keys.cpp
    filteredmodel.cpp
    globalaccelmodel.cpp
    shortcutsmodel.cpp
    standardshortcutsmodel.cpp
    keysdata.cpp
)

set(kglobalaccel_xml ${KGLOBALACCEL_DBUS_INTERFACES_DIR}/kf6_org.kde.KGlobalAccel.xml)
set_source_files_properties(${kglobalaccel_xml} PROPERTIES
    INCLUDE "kglobalaccel.h"
    NO_NAMESPACE TRUE
    CLASSNAME "KGlobalAccelInterface"
)
qt_add_dbus_interface(kcm_keys_DBUS_SRCS ${kglobalaccel_xml} kglobalaccel_interface)

set(kglobalaccel_component_xml ${KGLOBALACCEL_DBUS_INTERFACES_DIR}/kf6_org.kde.kglobalaccel.Component.xml)
set_source_files_properties(${kglobalaccel_component_xml} PROPERTIES
    INCLUDE "kglobalaccel.h"
    NO_NAMESPACE TRUE
    CLASSNAME "KGlobalAccelComponentInterface"
)
qt_add_dbus_interface(kcm_keys_DBUS_SRCS ${kglobalaccel_component_xml} kglobalaccel_component_interface)

target_sources(kcm_keys PRIVATE ${kcm_keys_DBUS_SRCS})

ecm_qt_declare_logging_category(kcm_keys
    HEADER kcmkeys_debug.h
    IDENTIFIER KCMKEYS
    CATEGORY_NAME org.kde.kcm_keys
    EXPORT KCMKEYS
    DESCRIPTION "System Settings - Global Shortcuts"
)

ecm_qt_install_logging_categories(EXPORT KCMKEYS DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

target_link_libraries(kcm_keys PRIVATE
    Qt::DBus
    Qt::Quick
    KF6::ConfigGui
    KF6::GlobalAccel
    KF6::I18n
    KF6::KCMUtils
    KF6::KIOWidgets
    KF6::KCMUtilsQuick
)

install(FILES
    schemes/kde3.kksrc
    schemes/kde4.kksrc
    schemes/mac4.kksrc
    schemes/unix3.kksrc
    schemes/win3.kksrc
    schemes/win4.kksrc
    schemes/wm3.kksrc
    DESTINATION  ${KDE_INSTALL_DATADIR}/kcmkeys
)

=== debian/changelog ===
plasma-desktop (4:6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix installation path of sddm-theme-debian-breeze preview. (Closes:
    #1108513)
  * New upstream release (6.3.6).
    - FolderItemDelegate: use label implicitHeight in frame size calculation.
    (kde#490402)
    - FolderModel: When adding files, keep the current sorting. (kde#482470)
  * Drop backported patches now part of the upstream release.
  * Refresh patches.
  * Backport upstream commits:
    - Fix scrolling in widget explorer broken in touch mode. [64f3fe1b]
    (kde#474929)
    - Fix case where the lock screen may sometimes shows a passwordless unlock
    button on wake-up. [2592f1fe] (kde#486352)
    - Folder View: Don't show wrong context menu when left-and-right-clicking
    [635ea80c] (kde#501856)
    - Folder View: Fix wrong Context Menu appears if the user doesn't move the
    pointer after the previous one fades out. [53bd4d6b] (kde#504765)
    - Folder View: Fix wrong display and activation of items under some
    conditions. [f6c6e03a] (kde#497498, kde#505718, kde#504569)
    - lockscreen: prevent immediate prompting for the password, fixing
    fingerprint reader. [fc4981c4] (kde#499637)
  * As part of #1095604, add Recommends: qt6-virtualkeyboard-plugin to
    SDDM themes so we can remove that same relation from SDDM itself.
    Having it there forces themes without virtual keyboard awareness to
    display it permanently.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 18 Jul 2025 19:23:25 +0200

=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.10.0~),
               gettext,
               kded6-dev,
               kscreenlocker-dev (>= 6.3.4~),
               kwin-dev (>= 4:6.3.4~),
               libaccounts-qt6-dev (>= 1.13~),
               libcanberra-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev (>= 1.5.0~),
               libicu-dev,
               libkaccounts6-dev (>= 4:20.04~),
               libkf6attica-dev (>= 6.10.0~),
               libkf6auth-dev (>= 6.10.0~),
               libkf6baloo-dev (>= 6.10.0~),
               libkf6codecs-dev (>= 6.10.0~),
               libkf6config-dev (>= 6.10.0~),
               libkf6coreaddons-dev (>= 6.10.0~),
               libkf6crash-dev (>= 6.10.0~),
               libkf6dbusaddons-dev (>= 6.10.0~),
               libkf6doctools-dev (>= 6.10.0~),
               libkf6globalaccel-dev (>= 6.10.0~),
               libkf6guiaddons-dev (>= 6.10.0~),
               libkf6i18n-dev (>= 6.10.0~),
               libkf6iconthemes-dev (>= 6.10.0~),
               libkf6itemmodels-dev (>= 6.2.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.13.0-4~),
               libkf6newstuff-dev (>= 6.10.0~),
               libkf6notifications-dev (>= 6.10.0~),
               libkf6notifyconfig-dev (>= 6.10.0~),
               libkf6package-dev (>= 6.10.0~),
               libkf6qqc2desktopstyle-dev (>= 6.10.0~),
               libkf6runner-dev (>= 6.10.0~),
               libkf6sonnet-dev (>= 6.10.0~),
               libkf6svg-dev (>= 6.10.0~),
               libkf6widgetsaddons-dev (>= 6.10.0~),
               libkf6xmlgui-dev (>= 6.10.0~),
               libkirigami-dev (>= 6.10.0~),
               libksysguard-dev (>= 4:6.3.4~),
               libpackagekitqt6-dev,
               libplasma-dev (>= 6.3.4~),
               libplasma5support-dev (>= 4:6.3.4~),
               libplasmaactivities-dev (>= 6.3.4~),
               libplasmaactivitiesstats-dev (>= 6.3.4~),
               libscim-dev,
               libsdl2-dev (>= 2.0.16~),
               libudev-dev,
               libwayland-dev (>= 1.22~),
               libx11-dev,
               libx11-xcb-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xinput-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxft-dev,
               libxkbregistry-dev,
               pkgconf,
               plasma-workspace-dev (>= 4:6.3.4~),
               qt6-5compat-dev (>= 6.7.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               qt6-svg-dev (>= 6.7.0~),
               qt6-wayland-dev (>= 6.7.0~),
               signon-plugin-oauth2-dev (>= 0.25+git20231015.fab69886-2~),
               signon-plugins-dev (>= 8.61+git20231015.c8ad982-2~),
               wayland-protocols (>= 1.25~),
               xdg-user-dirs,
               xserver-xorg-dev,
               xserver-xorg-input-libinput-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-desktop
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-desktop.git
Rules-Requires-Root: no

Package: plasma-desktop
Architecture: any
Depends: accountsservice,
         breeze (>= 4:6.2.90~),
         kactivitymanagerd (>= 6.2.90~),
         kde-cli-tools (>= 4:6.2.90~),
         kded6,
         kio6 (>= 6.13.0-4~),
         layer-shell-qt (>= 6.2.90~),
         ocean-sound-theme (>= 6.2.90~),
         oxygen-sounds (>= 4:6.2.90~),
         plasma-desktop-data (= ${source:Version}),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace (>= 4:6.2.90~),
         polkit-kde-agent-1 (>= 4:6.2.90~),
         qml6-module-org-kde-activities,
         qml6-module-org-kde-baloo,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-desktop,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-graphicaleffects,
         qml6-module-org-kde-iconthemes,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kirigamiaddons-delegates,
         qml6-module-org-kde-kirigamiaddons-tableview,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-pipewire,
         qml6-module-qt-labs-platform,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-effects,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qt6-svg-plugins,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bluedevil (>= 4:6.2.90~),
            breeze-gtk-theme (>= 6.2.90~),
            fonts-hack,
            fonts-noto,
            fonts-noto-color-emoji,
            ibus-data,
            kde-config-gtk-style (>= 4:6.2.90~),
            kde-config-screenlocker (>= 6.2.90~),
            kde-config-sddm (>= 4:6.2.90~),
            kde-spectacle,
            kgamma (>= 6.2.90~),
            khelpcenter,
            kinfocenter (>= 4:6.2.90~),
            kio-extras,
            kmenuedit (>= 4:6.2.90~),
            kscreen (>= 4:6.2.90~),
            ksshaskpass (>= 4:6.2.90~),
            kwin-wayland (>= 4:6.2.90~) | kwin-x11 (>= 4:6.2.90~),
            kwrited (>= 4:6.2.90~),
            libkf6kcmutils-bin,
            libpam-kwallet5 (>= 6.2.90~),
            plasma-browser-integration (>= 6.2.90~),
            plasma-desktop-doc (>= ${source:Version}),
            plasma-discover (>= 6.2.90~),
            plasma-disks (>= 6.2.90~),
            plasma-firewall (>= 6.2.90~),
            plasma-nm (>= 4:6.2.90~),
            plasma-pa (>= 4:6.2.90~),
            plasma-systemmonitor (>= 6.2.90~),
            plasma-thunderbolt (>= 6.2.90~),
            plasma-vault (>= 6.2.90~),
            plasma-welcome (>= 6.2.90~),
            plasma5-integration (>= 6.2.90~),
            powerdevil (>= 4:6.2.90~),
            systemsettings (>= 4:6.2.90~),
            xdg-desktop-portal-gtk,
            xdg-desktop-portal-kde (>= 6.2.90~),
Suggests: kde-config-flatpak (>= 6.2.90~),
          plasma-theme-oxygen,
Breaks: plasma-desktop-data (<< 4:6.3.2-3~),
        plasma-workspace (<< 4:6.1.0~),
        user-manager (<< 4:5.20),
Replaces: plasma-desktop-data (<< 4:6.3.2-3~), plasma-workspace (<< 4:6.1.0~),
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: python3:any, ${misc:Depends},
Breaks: plasma-widgets-addons (<< 4:5.25.70~),
Replaces: plasma-widgets-addons (<< 4:5.25.70~),
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files for the Plasma shell.

Package: plasma-desktop-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-desktop-data (<< 4:6.1.90~),
Replaces: plasma-desktop-data (<< 4:6.1.90~),
Description: Plasma desktop documentation
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the documentation for the Plasma shell.

Package: plasma-desktop-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${so:Depends},
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the development files for the Plasma shell.

Package: sddm-theme-breeze
Architecture: any
Depends: plasma-desktoptheme,
         plasma-workspace,
         sddm (>= 0.21.0-2),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: qt6-virtualkeyboard-plugin,
Provides: sddm-theme,
Description: Breeze SDDM theme
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme.

Package: sddm-theme-debian-breeze
Architecture: any
Depends: plasma-desktoptheme,
         plasma-workspace,
         qt6-svg-plugins,
         sddm-theme-breeze,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: desktop-base,
            qt6-virtualkeyboard-plugin,
            sddm,
Provides: sddm-theme,
Description: Debian Breeze SDDM theme
 Plasma Workspace for KF5. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 Taskmanager library.
 .
 This package contains the files for the breeze SDDM theme adapted
 to use the active desktop-base theme for the background.

## plasma-desktop 6.4.4

=== debian/changelog ===
plasma-desktop (4:6.4.4-0zneon+24.04+noble+release+build40) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 08 Aug 2025 15:50:34 +0000

plasma-desktop (4:6.4.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Aug 2025 22:18:24 +0000

plasma-desktop (4:6.4.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Jul 2025 11:06:15 +0000

plasma-desktop (4:6.4.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 04 Jul 2025 11:32:48 +0000

plasma-desktop (4:6.4.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Jun 2025 23:48:08 +0000

plasma-desktop (4:6.4.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 12 Jun 2025 12:22:55 +0000

plasma-desktop (4:6.3.80-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 18 May 2025 10:09:40 +1000

plasma-desktop (4:6.3.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 May 2025 20:56:17 +0000

plasma-desktop (4:6.3.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Apr 2025 07:08:34 +0000

plasma-desktop (4:6.3.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Mar 2025 15:07:33 +0000

plasma-desktop (4:6.3.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Feb 2025 17:09:28 +0000

plasma-desktop (4:6.3.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 18 Feb 2025 14:52:44 +0000

plasma-desktop (4:6.3.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 13:28:59 +0000

plasma-desktop (4:6.2.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Jan 2025 02:59:51 +0000

plasma-desktop (4:6.2.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Nov 2024 13:32:32 +0000

plasma-desktop (4:6.2.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 22 Oct 2024 14:11:27 +0000

plasma-desktop (4:6.2.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Oct 2024 16:03:22 +0000

plasma-desktop (4:6.2.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Oct 2024 16:10:55 +0000

plasma-desktop (4:6.1.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Sep 2024 12:38:03 +0000

plasma-desktop (4:6.1.4-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Jul 2024 13:12:37 +0000

plasma-desktop (4:6.1.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Jul 2024 15:30:31 +0000

plasma-desktop (4:6.1.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 25 Jun 2024 17:06:12 +0000

plasma-desktop (4:6.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 15 Jun 2024 08:39:33 +0000

plasma-desktop (4:6.0.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 16 Apr 2024 12:59:08 +0000

plasma-desktop (4:6.0.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 26 Mar 2024 18:18:00 +0000

plasma-desktop (4:6.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Mar 2024 17:49:16 +0000

plasma-desktop (4:6.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Mar 2024 00:13:18 +0000

plasma-desktop (4:6.0.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 22 Feb 2024 17:22:03 +0000

plasma-desktop (4:5.91.90-0neon) jammy; urgency=medium

  * new release

 -- Carlos De Maine <carlosdemaine@gmail.com>  Wed, 10 Jan 2024 16:14:05 +1000

plasma-desktop (4:5.27.10-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Dec 2023 20:51:05 +0000

plasma-desktop (4:5.27.9-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2023 14:59:58 +0000

plasma-desktop (4:5.27.8-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Sep 2023 12:08:25 +0000

plasma-desktop (4:5.27.7.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 01 Aug 2023 11:20:14 +0000

plasma-desktop (4:5.27.6-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 20 Jun 2023 16:07:52 +0000

plasma-desktop (4:5.27.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 May 2023 13:07:10 +0000

plasma-desktop (4:5.27.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 04 Apr 2023 12:31:09 +0000

plasma-desktop (4:5.27.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Mar 2023 15:09:32 +0000

plasma-desktop (4:5.27.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Feb 2023 14:02:43 +0000

plasma-desktop (4:5.27.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Feb 2023 14:33:20 +0000

plasma-desktop (4:5.27.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:27:23 +0000

plasma-desktop (4:5.26.80-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Jan 2023 10:27:23 +0000

plasma-desktop (4:5.26.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 29 Nov 2022 13:45:11 +0000

plasma-desktop (4:5.26.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 26 Oct 2022 11:42:32 +0000

plasma-desktop (4:5.26.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 21 Oct 2022 14:21:17 +0000

plasma-desktop (4:5.26.0-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: plasma-desktop
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: breeze-dev,
               cmake,
               debhelper-compat (= 13),
               kaccounts-integration-dev,
               kf6-attica-dev,
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kded-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kglobalaccel-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kpeople-dev,
               kf6-krunner-dev,
               kf6-ksvg-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-qqc2-desktop-style-dev,
               kscreenlocker-dev,
               kwin-dev,
               libboost-dev,
               libcanberra-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libglib2.0-dev,
               libibus-1.0-dev,
               libksysguard-dev,
               libpackagekitqt6-dev,
               libplasma-dev,
               libpulse-dev,
               libscim-dev,
               libsdl2-dev,
               libudev-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-record0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               libxkbregistry-dev,
               openbox,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               plasma-workspace-dev,
               plasma5support-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               signon-plugin-oauth2-dev,
               signon-plugins-dev,
               xauth,
               xdg-user-dirs,
               xserver-xorg-dev,
               xserver-xorg-input-evdev-dev,
               xserver-xorg-input-libinput-dev,
               xserver-xorg-input-synaptics-dev,
               xvfb
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Git: https://invent.kde.org/neon/kde/plasma-desktop.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-desktop
Maintainer: Neon CI <neon@kde.org>

Package: plasma-desktop
Architecture: any
Priority: optional
Section: kde
X-Neon-MergedPackage: true
Depends: breeze,
         ibus-data,
         kactivitymanagerd,
         kde-cli-tools,
         kf6-baloo,
         kf6-kdeclarative,
         kf6-kded,
         kf6-kio,
         kf6-kirigami2,
         kf6-kwindowsystem,
         kf6-solid,
         libplasma6,
         oxygen-sounds,
         plasma-activities,
         plasma-integration,
         plasma-thunderbolt,
         plasma-workspace (>= 4:6.3.80),
         plasma5support,
         polkit-kde-agent-1,
         python3:any,
         qml6-module-org-kde-pipewire,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt-labs-platform,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluedevil,
            breeze-gtk-theme,
            kde-config-gtk-style,
            kde-config-screenlocker,
            kde-config-sddm,
            kde-style-oxygen-qt6,
            kgamma5,
            khelpcenter,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            kwin-wayland | kwin-x11,
            kwrited,
            libpam-kwallet-common,
            plasma-discover,
            plasma-pa,
            powerdevil,
            systemsettings
Replaces: kde-config-touchpad,
          neon-settings-2 (<< 0.5),
          plasma-desktop-data,
          user-manager
Breaks: kde-workspace (<< 4:6.1.0), neon-settings-2 (<< 0.5)
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-dev
Architecture: any
Priority: optional
Section: kde
X-Neon-MergedPackage: true
Depends: plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: kde-config-touchpad
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: plasma-desktop-data
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: dummy transitional package
 This is a transitional package which can be removed.

Package: user-manager
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-desktop, ${misc:Depends}
Description: dummy transitional package
 This is a transitional package which can be removed.
